classification
Title: sphinx - building muppy docs fails on Linux
Type: crash Stage:
Components: Documentation tools (Sphinx) Versions: Python 2.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, robwolfe, schuppenies
Priority: normal Keywords: patch

Created on 2008-09-22 18:16 by robwolfe, last changed 2008-09-23 07:32 by schuppenies. This issue is now closed.

Files
File name Uploaded Description Edit
autodoc.patch robwolfe, 2008-09-22 18:16 patch for sphinx/ext/autodoc.py
Messages (2)
msg73587 - (view) Author: robwolfe (robwolfe) Date: 2008-09-22 18:16
I've tried to build muppy (http://packages.python.org/muppy/)
documentation on:
$ python2.5 -c "import sys; print sys.version"
2.5 (release25-maint, Dec  9 2006, 14:35:53)
[GCC 4.1.2 20061115 (prerelease) (Debian 4.1.1-20)]

with Sphinx (version 0.4.2) and got this error:

$ make doctest mkdir -p build/doctest
sphinx-build -b doctest -d build/doctrees   source build/doctest
Sphinx v0.4.2, building doctest
trying to load pickled env... not found
building [doctest]: targets for 15 source files that are out of date
updating environment: 15 added, 0 changed, 0 removed
reading... changes copyright detailed_toc glossary index intro
library/library library/muppy library/refbrowser Exception occurred:
  File
"/usr/lib/python2.5/site-packages/Sphinx-0.4.2-py2.5.egg/sphinx/ext/autodoc.py",
line 313, in generate_rst
    if not mod_cls:
UnboundLocalError: local variable 'mod_cls' referenced before assignment
The full traceback has been saved in /tmp/sphinx-err-XRu3ZJ.log, if you
want to report the issue to the author.
Please also report this if it was a user error, so that a better error
message can be provided next time.
Send reports to sphinx-dev@googlegroups.com. Thanks!
make: *** [doctest] Błąd 1

The simple patch I've attached helped of course.
msg73619 - (view) Author: Robert Schuppenies (schuppenies) * (Python committer) Date: 2008-09-23 07:32
This was fixed in r65489 (see issue3498). Using the current Sphinx trunk
(http://svn.python.org/projects/doctools/trunk/sphinx) works for me.
History
Date User Action Args
2015-05-31 03:00:01yselivanovlinkissue22203 superseder
2008-09-23 07:32:04schuppeniessetstatus: open -> closed
resolution: duplicate
messages: + msg73619
2008-09-22 21:19:24loewissetnosy: + schuppenies
2008-09-22 18:16:48robwolfecreate